package com.edgec.browserbackend.browser.domain;

import java.util.StringTokenizer;

public class BindHistory {
    private String shopName;
    private String ip;
    private String platform;
    private String unbindTime;

    public BindHistory(){

    }

    public BindHistory(String bindhistory) {
        StringTokenizer stringTokenizer = new StringTokenizer(bindhistory, ",");
        if (stringTokenizer.hasMoreTokens()) {
            String s = stringTokenizer.nextToken();
            this.shopName = s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\''));
            s = stringTokenizer.nextToken();
            this.ip = s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\''));
            s = stringTokenizer.nextToken();
            this.platform = s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\''));
            s = stringTokenizer.nextToken();
            this.unbindTime = s.substring(stringTokenizer.nextToken().indexOf("=") + 1, s.indexOf('\''));
        }

    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getIp() {
        return ip;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getUnbindTime() {
        return unbindTime;
    }

    public void setUnbindTime(String unbindTime) {
        this.unbindTime = unbindTime;
    }

    @Override
    public String toString() {
        return "BindHistory{" +
                "shopName='" + shopName + '\'' +
                ", ip='" + ip + '\'' +
                ", platform='" + platform + '\'' +
                ", unbindTime='" + unbindTime + '\'' +
                '}';
    }
}
